# Auth

Auth ist die ab Mitte 2025 von Schmamazon entwickelte Software zur Account- und Sitzungsverwaltung in Schmamazon Webdiensten.


# Verwendung

Nutzen Sie `include('/Auth/index.php');` am Anfang jeder Datei, welche *Auth* benötigt. Dadurch wird die Sitzung des Nutzers automatisch geprüft und deren Authentizität sichergestellt.

Sie können dann folgende Variabeln verwenden:
- `$uid`	Die eindeutige 36 Zeichen lange ID des Accounts. 
- `$uemail`	Die mit dem Account verbundene E-Mail Adresse.
- `$uname`	Der vom Nutzer festgelegte Name. Dieser ist nicht eindeutig.


# Weitere Informationen

- Eine Sitzung ist aktuell immer **5 Tage** lang. Danach muss der Nutzer eine neue erstellen, indem er sich erneut mit seinem Passwort anmeldet.
- Der Nutzer wird **automatisch aufgefordert sich anzumelden**, sollte keine Sitzung vorhanden sein, wird aber **nicht zu der Seite zurückgeleitet**, für die er sich anmelden sollte.
- Die *id* (`$uid`) ist das einzige Merkmal eines Benutzeraccounts, welches sich nicht verändern kann und welches nicht vom Nutzer festgelegt wird. Nutzen Sie **immer** die *id*, um Aktionen einem Nutzer zuzuweisen.